
## Description

Le plugin implémente un event listener qui peut écouter des événements et appliquer une stratégie de création de points fidélité. 

Pour cela, il faut créer une stratégie "Sur déclencheur". On peut alors choisir un déclencheur (ex: "Inscription Client") et un calculateur (ex : "Montant de points fixe")

La stratégie sera alors appliquée à la prochaine inscription client

### Implémentation

Dans la config du plugin, ajouter un événement sur lequel appliquer une stratégie de fidelité :

```ỳaml 
{# config/packages/bitbag_sylius_bonus_points_plugin.yaml }

bit_bag_sylius_bonus_points:
    listeners:
        sylius.customer.post_register_listener:
            event: sylius.customer.post_register
            label: app.ui.on_user_registration
            calculator_type: !php/const BitBag\SyliusBonusPointsPlugin\Entity\BonusPointsStrategy::TYPE_EVENT
            priority: 0
```

L'événement doit étendre la classe `Symfony\Component\EventDispatcher\GenericEvent` 

Le subject de l'événement est ensuite passé au calculateur. 

**Il n'y a donc pas de vérification forte du typage d'objet sur lequel le calculateur est appliqué**